<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sign Up</title>
</head>
<body>
<h1>Create an Account</h1>
<div class="row d-flex justify-content-center align-items-center">
    <div class="sign-up mt-5  card p-5 d-flex justify-content-center">
        <h1 class="login-header mb-2 text-cent">Make a New Account</h1>
        <div th:if="${param.error}" class="login-msg mb-2 text-center">
            That username or email is already taken.
        </div>
        <form th:action="@{/sign-up}" method="post" th:object="${user}">
            <div class="d-flex flex-column align-items-center mt-2">
                <div class="d-flex align-items-center flex-row justify-content-around">
                    <label for="username"><i class="fas fa-user login-icon"></i> </label>
                    <input placeholder="Username" class="mb-1 login-icon" id="username" th:field="*{username}"/>
                </div>
                <br>
                <div class="d-flex align-items-center flex-row justify-content-around">
                    <label for="firstname"><i class="far fa-id-card login-icon"></i> </label>
                    <input placeholder="First Name" class="md-1 login-input" id="firstname" th:field="*{firstName}"/>
                </div>
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="lastname"><i class="far fa-id-card login-icon"></i> </label>
                <input placeholder="Last Name" class="md-1 login-input" id="lastname" th:field="*{lastName}"/>
            </div>
            <br>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="email"><i class="far fa-envelope login-icon"></i> </label>
                <input placeholder="Email" class="md-1 login-input" id="email" th:field="*{email}"/>
            </div>
            <div class="d-flex align-items-center flex-row justify-content-around">
                <label for="password"><i class="far fa-id-card login-icon"></i> </label>
                <input placeholder="Password" class="md-1 login-input" id="password" th:field="*{password}"/>
            </div>
            <br>
            <input value="Sign Up" type="submit" class="btn login-btn"/>
        </form>
    </div>
</div>
</body>
</html>
